> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get latest Kafka topic message

> Retrieves the newest message from partition 0, including its contents. Results are not cached. Only available when the company allows reading Kafka messages.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml get /kafka-clusters/{uuid}/topics/{topic}/latest-message
openapi: 3.1.0
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.130
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /kafka-clusters/{uuid}/topics/{topic}/latest-message:
    get:
      tags:
        - Kafka Clusters
      summary: Get latest Kafka topic message
      description: >-
        Retrieves the newest message from partition 0, including its contents.
        Results are not cached. Only available when the company allows reading
        Kafka messages.
      operationId: kafka_topic_latest_message
      parameters:
        - in: path
          name: topic
          required: true
          schema:
            type: string
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PayloadsKafkaMessage'
          description: OK
        '204':
          description: No Content
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    PayloadsKafkaMessage:
      properties:
        headers:
          additionalProperties:
            format: base64
            type: string
          type:
            - object
            - 'null'
        key:
          format: base64
          type:
            - string
            - 'null'
        offset:
          format: int64
          type: integer
        partition:
          type: integer
        timestamp:
          format: date-time
          type: string
        topic:
          type: string
        value:
          format: base64
          type:
            - string
            - 'null'
      required:
        - topic
        - partition
        - offset
        - timestamp
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.